Bug 98369 - [GTK] accessibility/language-attribute.html is failing
: [GTK] accessibility/language-attribute.html is failing
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Joanmarie Diggs (irc: joanie)
: Gtk, LayoutTestFailure
Depends on:
Blocks: 98347
  Show dependency treegraph
 
Reported: 2012-10-04 00:41 PDT by Zan Dobersek
Modified: 2012-12-10 00:18 PST (History)
5 users (show)

See Also:


Attachments
Patch (7.72 KB, patch)
2012-12-09 16:13 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2012-10-04 00:41:29 PDT
accessibility/language-attribute.html is failing on all GTK platforms.
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=accessibility%2Flanguage-attribute.html
Comment 1 Joanmarie Diggs (irc: joanie) 2012-10-16 13:01:04 PDT
This is failing for two reasons:

* We're not exposing the language for the object (should be an AtkText attribute)
* AccessibilityUIElement::language() needs to be implemented
Comment 2 Joanmarie Diggs (irc: joanie) 2012-12-09 16:13:21 PST
Created attachment 178447 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2012-12-09 16:40:46 PST
Comment on attachment 178447 [details]
Patch

EWS all green, small patch, hoping it will pass Martin's review, so cq?ing.
Comment 4 chris fleizach 2012-12-09 23:45:52 PST
Comment on attachment 178447 [details]
Patch

looks good
Comment 5 WebKit Review Bot 2012-12-10 00:18:53 PST
Comment on attachment 178447 [details]
Patch

Clearing flags on attachment: 178447

Committed r137114: <http://trac.webkit.org/changeset/137114>
Comment 6 WebKit Review Bot 2012-12-10 00:18:56 PST
All reviewed patches have been landed.  Closing bug.